<div style="padding:10px;"></div>
<?php
	if($infopihak!=''){
		if($infopihak->num_rows>0){
			foreach ($infopihak->result() as $row) {
				$diwakili = ($row->pihak_diwakili=='Y')? 'YA':'TIDAK';
				$namapihak = $row->pihak_nama;
				$statusasal = $row->pihak_asal_text;
				$statuskasasi = $row->status_pihak_text.' Ke-'.$row->urutan_kasasi;
				$noperkarapn = $row->nomor_perkara_pn;
				$tglpermohonan = $this->tanggalhelper->convertToInputDate($row->permohonan_kasasi);
				$tglputusan = $this->tanggalhelper->convertToInputDate($row->putusan_pn);
				$idpihak = base64_encode($this->encrypt->encode($row->pihak_id));
				$pemohon = $row->pemohon_nama;
				$pemohonalamat = $row->pemohon_alamat;
				$pemohonpekerjaan = $row->pemohon_pekerjaan;
				$pihak_id = $row->pihak_id;
				$noSurat = $row->pemohon_nomor_surat;
				$tglSurat = $this->tanggalhelper->convertDayDate($row->pemohon_tanggal_surat);
				$idperkara = base64_encode($this->encrypt->encode($row->perkara_id));
			}
		}
	}else{
		show_404();
	}
?>
<div class="detil" style="padding: 4px; font-size:14px;margin-top:25px;width: 55%;margin: 0 auto;border-color: #FFFFFF;">
	<form id="frm_cabut" style="padding: 4px; background:white;margin:0;" method="post" action="<?php echo base_url().'savecabutpermohonankasasi';?>">
		<table id="tableDetilPerkara" style="font-size:14px;">
			<col width="40%">
			<col width="60%">
			<tbody>
				<tr id="tr_pihak">
					<td colspan="2" class="divider">CABUT PERKARA KASASI</td>
				</tr>
				<tr>
					<td>Nomor Perkara<font color="red">*</font></td>
					<td style="padding:0px;padding-left:5px;"><?php echo (!empty($noperkarapn) ? $noperkarapn : '');?></td>
				</tr>
				<tr>
					<td>Tanggal Permohonan<font color="red">*</font></td>
					<td style="padding:0px;padding-left:5px;"><?php echo (!empty($tglpermohonan) ? $tglpermohonan : '');?></td>
				</tr>
				<tr id="tr_pihak">
					<td colspan="3" class="divider">PIHAK PEMOHON KASASI</td>
					<input type="hidden" id="date_put" value="<?php echo (!empty($tglputusan))? $tglputusan:'';?>">
					<input type="hidden" id="enc" name="enc" value="<?php echo (!empty($idperkara))? $idperkara:'';?>">
					<input type="hidden" id="enc_id" name="enc_id" value="<?php echo (!empty($enc_id))? $enc_id:'';?>">
				</tr>
				<tr class ="tr_pemohon">
					<td>Nama Pemohon<font color="red">*</font></td>
					<td style="padding:0px;padding-left:5px;"><?php echo (!empty($pemohon) ? $pemohon : '');?></td>
				</tr>
				<tr>
					<td>Tanggal Pencabutan<font color="red">*</font></td>
					<td style="padding:0px;padding-left:5px;">
						<input id="tgl_cabut" name="tgl_cabut" value="" class="datepicker" maxlength="10" placeholder="tgl/bln/tahun">
					</td>
				</tr>
				<tr class ="tr_pemohon">
					<td>Keterangan</td>
					<td style="padding:0px;padding-left:5px;" >
						<textarea class="standard-input" id="keterangan" name = "keterangan"  style="width: 425px; height: 120px;resize: none;"></textarea>
					</td>
				</tr>
				<input type="hidden" id="curr_date" value="<?php echo $current_date;?>">
				<tr>
					<td colspan="2" style="background:white;" align="center">
						<input type="button" value="Kembali" id="kembali" class="btn">
						<input type="submit" id="simpan" value="Simpan" class="btn">
					</td>
				</tr>
			</tbody>
		</table>
	</form>
</div>
<script type="text/javascript">
$('#kembali').closingFormWin();
$( document ).ready(function() {
    $('#frm_cabut').SubmitHandling({
		refresh:'1',
		setRefresh:1,
		divRef:'#frm_cabut',
		clicked:1,
		btnClicked:'.close_form',
		whenStatus:1
	});
    $( function() {
        $('#tgl_cabut').datepicker({
            inline: true,
            showOtherMonths: true,
            dateFormat: 'dd/mm/yy',
            dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
            beforeShowDay: $.datepicker.noWeekends,
            onSelect: function(dateText, inst) {
            	var date = $(this).datepicker('getDate');
            	var dayOfWeek = weekday[date.getDay()];
            	var error = 0;
            	var message ='';
            	if(dayOfWeek=='Sunday' || dayOfWeek=='Saturday'){
            		message ='Tidak Dapat Memilih diluar Hari Kerja (Sabtu & Minggu).';
            		message_error_show_parent(message);
            		return;
            	}
				
				var tmp = $(this).val().split("/");
				var tmp2 = $('#curr_date').val().split("/");
				if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() > new Date(tmp2[2]+"-"+tmp2[1]+"-"+tmp2[0]+"T00:00:00").getTime())){
					message = 'Tidak Dapat Memilih Melebihi Hari ini. Sekarang Tanggal '+$('#curr_date').val();
					message_error_show_parent(message);
					$(this).css("background-color", "red");
				}else{
					$(this).css("background-color", "#dedbdb");
				}
			}
        });
    });
});
</script>
